
Infrastructure - Task #3311

Story # 3309 (Closed): get() downloads have inconsistent mime types and filenames

Specify how MN implementations should set Content-type for MN_Read.get()

2012-10-08 20:44 - Matthew Jones

Status: Closed Start date: 2012-10-08

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-1.2 Story Points:  

Product Version:    

Description

Specify the algorithm that MN implementors should use to determine the MIME type for an object, and specify that it should be set as

the Content-type in HTTP headers in the get() response.

History

#1 - 2012-10-11 15:35 - Dave Vieglais

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#2 - 2012-10-24 17:39 - Chris Jones

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#3 - 2012-12-12 18:33 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

#4 - 2013-03-01 19:09 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.12-Block.2.2

#5 - 2013-08-02 17:20 - Dave Vieglais

- Target version changed from 2013.12-Block.2.2 to 2013.35-Block.5.1

#6 - 2014-01-06 18:04 - Chris Jones

- Target version changed from 2013.35-Block.5.1 to 2014.6-Block.1.3

#7 - 2014-03-14 18:44 - Roger Dahl

- Assignee changed from Matthew Jones to Roger Dahl

#8 - 2014-03-14 18:47 - Roger Dahl

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#9 - 2014-08-14 20:44 - Roger Dahl

This is for enabling good suggestions for filename extensions for DataONE objects. The basic problem is not handling of this information in DataONE,

it is getting hold of the information from MNs, where it may not exist.

#10 - 2014-08-29 19:35 - Roger Dahl

- Assignee changed from Roger Dahl to Dave Vieglais
#11 - 2014-09-24 18:28 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to CCI-1.4.2

#12 - 2014-09-25 16:47 - Dave Vieglais

- Target version changed from CCI-1.4.2 to CCI-1.5.0

#13 - 2014-10-02 19:41 - Dave Vieglais

- Target version changed from CCI-1.5.0 to CCI-2.0.0

#14 - 2015-07-01 19:49 - Dave Vieglais

- Status changed from New to In Progress

- % Done changed from 0 to 30

Review status of this

#15 - 2015-07-13 21:58 - Ben Leinfelder

Documentation should clearly state this order:

SystemMetadata.mediaType

objectFormat.mediaType (looked up using SystemMetadata.formatId)

best guess

#16 - 2016-03-25 01:22 - Dave Vieglais

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
